Package org.drinkless.tdlib

# Class TdApi.MessageCalendar

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageCalendar

Enclosing class:
  `TdApi`

public static class TdApi.MessageCalendar extends TdApi.Object
Contains information about found messages, split by days according to the option "utc_time_offset".

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageCalendarDay[]`
  `days`
  Information about messages sent.
  `int`
  `totalCount`
  Total number of found messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageCalendar()`
  Contains information about found messages, split by days according to the option "utc_time_offset".
  `MessageCalendar(int totalCount, TdApi.MessageCalendarDay[] days)`
  Contains information about found messages, split by days according to the option "utc_time_offset".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Total number of found messages.

  - ### days

    public TdApi.MessageCalendarDay[] days
    Information about messages sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageCalendar

    public MessageCalendar()
    Contains information about found messages, split by days according to the option "utc_time_offset".

  - ### MessageCalendar

    public MessageCalendar(int totalCount, TdApi.MessageCalendarDay[] days)
    Contains information about found messages, split by days according to the option "utc_time_offset".
    Parameters:
      `totalCount` - Total number of found messages.
      `days` - Information about messages sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR